Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Framework_Component Class Reference

Base class that defines a uniform interface for all managed framework components. More...

`#include <Framework_Component.h>`

Inheritance diagram for ACE_Framework_Component:

[legend]
List of all members.

## Public Methods
| ACE_Framework_Component (void *_this, const ACE_TCHAR *dll_name=0, const ACE_TCHAR *name=0)
| Constructor.
virtual void | close_singleton (void)=0
| Close the contained singleton.
## Protected Methods
virtual | ~ACE_Framework_Component (void)
| Destructor.
## Private Attributes
const void * | this_
| Pointer to the actual component.
const ACE_TCHAR * | dll_name_
| Library associated with this component.
const ACE_TCHAR * | name_
| Component name.
## Friends
class | ACE_Framework_Repository

## Detailed Description

Base class that defines a uniform interface for all managed framework components.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Framework_Component::ACE_Framework_Component | ( | void * | _this,
|  | const ACE_TCHAR * | dll_name = 0,
|  | const ACE_TCHAR * | name = 0
| ) |

| Constructor.

ACE_Framework_Component::~ACE_Framework_Component | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

virtual void ACE_Framework_Component::close_singleton | ( | void |  | ) | `[pure virtual]`

| Close the contained singleton. Implemented in ACE_Framework_Component_T< Concrete >.

## Friends And Related Function Documentation

friend class ACE_Framework_Repository`[friend]`

## Member Data Documentation

const ACE_TCHAR* ACE_Framework_Component::dll_name_`[private]`

| Library associated with this component.

const ACE_TCHAR* ACE_Framework_Component::name_`[private]`

| Component name.

const void* ACE_Framework_Component::this_`[private]`

| Pointer to the actual component.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Framework_Component.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Framework_Component.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Framework_Component.inl